%YAML 1.2
---
Content Type: library
Content Subtype: book

#--- --- --- Main --- --- ---
Title: Plone 3 Products Development Cookbook
Type: eBook
Release: 
    Print: 
        Year: 2010
        Month: 05
        Day: 
    eBook: 
        Year: 2010
        Month: 05
        Day: 
Author: 
    - Juan Pablo Giménez
    - Marcos F. Romero
Publisher: Packt Publishing
Language: English
Series: 

ISBN: 
    Print: 
        ISBN-13: 978-1-847196-72-9
        ISBN-10: 1847196721
    eBook: 
        ISBN-13: 978-1-847196-72-9
        ISBN-10: 1847196721
#--- --- --- Main --- --- ---

#--- --- --- File Details --- --- ---
File Name: Plone.3.Products.Development.Cookbook.Juan.Pablo.Giménez.2010
File Size: 6289257
Format: PDF
#--- --- --- File Details --- --- ---

#--- --- --- Details --- --- ---
WWW: https://www.packtpub.com/plone-3-3-products-development-cookbook/book
Binding: Paperback
Edition: 1
Pages: 388
Circulation: 
Description: |
    The Plone Content Management System is one of the best open source CMS, because by using Plone's development framework you can extend its functionality according to the specific requirements of your website. The Plone framework has lots of components that can be used to create add-ons or extensions called Plone Products. You can optimize your site for improved usability, accessibility, and security by creating custom Plone products.
    This book covers recipes that will help you create custom Plone Products and implement them on your website. Every topic covered in this book is accompanied by essential fundamentals and step-by-step explanation that will help you understand it better. With the help of this book you will be able to create custom Plone products that are well suited for your website.
    You can read the whole book or just pick recipes relevant for you; cross references help you understand the recipes even if you do not read them in order.
    If you work through the book in order, you will start by setting up an example project of a news website that will be developed throughout the book. You will learn about all of the necessary tools a Plone developer must have before starting any project. You will develop the website further by detecting problems and debugging them. You will be able to modify code on-the-fly or get help on how to do some tasks by installing and using special tools such as IPython, ipdb, and PDBDebugMode. You will then create a new content type, based on an existing one, and wrap the final product into a Python egg.
    You will set up automated testing to prevent errors in code that have evolved in the development stage. You will use paster to automatically create a new custom content type from scratch. You will improve the performance of your application by creating lightweight content types and following other recipes covered in this book. Key features such as usability, internationalization, accessibility and security are covered to make sure that your development and customizations will be at the level of Plone core and its most remarkable add-on products.
    You will improve your user interface by creating simple client-side visual changes and server-side manipulation of objects. You will learn to create and manage portlets by using Portlet manager and customize your website by modifying third-party products. Finally you will learn to communicate with an external non-Python-based system and make your products available for future use.

Note: 

Genre: Programming
Keywords: 
    - Computers
    - Programming
    - Python
Dimensions: 
    Unit: inch
    Value: [9.2, 7.4, 0.6]
Weight: 
    Unit: pound
    Value: 1.5

Source Code: True
Translation: False
#--- --- --- Details --- --- ---

#--- --- --- Original --- --- ---
Original: 
    Title: 
    Release: 
        Print: 
            Year: 
            Month: 
            Day: 
        eBook: 
            Year: 
            Month: 
            Day: 
    Author: 
    Publisher: 
    Language: 
    ISBN: 
        Print: 
            ISBN-13: 
            ISBN-10: 
        eBook: 
            ISBN-13: 
            ISBN-10: 
#--- --- --- Original --- --- ---